OPENUNIVERSE(1)

NAME
openuniverse - 3D space simulation

SYNOPSIS
openuniverse [-bench][-fullscreen[mode_string]][-logfile[filename]]

DESCRIPTION
This manual page documents briefly the openuniverse command.

OpenUniverse (also called OU) is a fun, fast and free OpenGL space simulator. It currently focusses on the Solar System and lets you visit all of its planets, most major moons and a vast collection of smaller bodies in colorful, glorious and realtime 3D. If you've ever had a chance to visit Mercury or asteroid Geographos, here you'll find them looking exactly the same way, following exactly the same path as when you've left them.

This program really benefits of a 3D accelerator graphic card. It's the only way to ensure a decent framerate (speed). OU has been tested on the following 3D chipsets: Voodoo 1/2/3, nVidia GeForce2 MX/MX 400 (with nVidia's binary drivers).

When OpenUniverse starts up we suggest to simply lay back for a few seconds. Because you have just reached Earth! OU's main screen with it's helpful information shows up now and the blue planet will slowly rotate in front of you, while you have a moment to enjoy it's beauty and fragility.

To view the Help press the 'H' key, you can swith on and off the demo mode with the 'd' key. For other commands and functions see OU's manual.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

OPTIONS
A summary of options is included below. For a complete description, see OU's manual.

-h, --help
    Show summary of options.

-bench
    Do a benchmark of your system.

-fullscren mode_screen
    Launch openuniverse fullscren. The value mode_screen defines the screen resolution, colordepth and refresh rate. For example the command line openuniverse -fullscreen 640x480:32@70 will run OpenUniverse in an resolution of 640x480 pixels, a colordeph of 32 bit (truecolor) and at a refresh rate of 70Hz. Please note that the characters 'x' and ':' are important and can't be removed (you don't have to suppy refresh rate if you don't want as it'll use default refresh rate for the supplied resolution). Note as well that a lot of 3D cards are only capable of resolutions up to 800x600 and colordepths up to 16bit.

-logfile filename
    Creates a logfile that describes the program operations. If no filename is provided the logfile will default to log.txt and it will be created in the current working directory.

ABOUT
The programs are documented in the manual pages (not quite complete yet) available in /usr/share/doc/openuniverse/manual. Also go away and check the screenshots (not available in this package) that can be seen in www.openuniverse.org

FILES

/usr/share/openuniverse/textures
    Textures used for planets.

/usr/share/openuniverse/fonts
    Fonts used by the program.

/usr/share/openuniverse/3dmodels
    Three dimensional models of the objects (satellites and space station).

/usr/share/openuniverse/data
    Stellar data sets, it includes a few objects from the Messier catalog and a basic set of bright stars derived from the yale bright star catalog (it includes only those entries Bayer and/or Flamsteed number and provides common names which were overlayed by closes postition match from a hand-edited list) /etc/openuniverse/ Location of the configuration of openuniverse (ou.conf)

/usr/share/openuniverse/events

/var/games/openuniverse/scrshots
    As a Debian specific change, the Debian version of openuniverse will write its screenshots to /var/games/openuniverse/srcshots, instead of /usr/share/openuniverse/scrshots. Notice, however, that users are not given full permissions to this directory (can only be written by root or the games group). If you want to make screenschots you need to add yourself to the games group, or explicitly grant write permissions to all users in that directory (preferabily adding also the sticky bit as is usually done for shared temporary directories like /tmp or /var/tmp).

/usr/share/doc/openuniverse
    Additional documentation.

BUGS
OpenUniverse is affected by the year 2038 bug if running in a 32-bit platform. The time definition used in OpenUniverse is based on a 32-bit variable and can only hold values up to 9th January 2038 (3:14:07 GMT). If time in OU is accelerated past this value it will behave unexpectedly as time goes back to the past (to January 1901).

AUTHOR
This manual page was written by Javier Fernandez-Sanguino <jfs@debian.org> for the Debian GNU/Linux system (but may be used by others).